### Property

# Phosh RfkillDBusRfkill:hardware-airplane-mode

since: 0

#### Declaration

    property hardware-airplane-mode: gboolean [ read, write ]

#### Description [src]

Represents the D-Bus property “HardwareAirplaneMode”.

Since the D-Bus property for this `GObject` property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Type: | `gboolean`
Available since: | 0

Default value | FALSE
Getter method | `phosh_rfkill_dbus_rfkill_get_hardware_airplane_mode()`
Setter method | `phosh_rfkill_dbus_rfkill_set_hardware_airplane_mode()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no